Loading...
Searching...
No Matches
pdftron::PDF::PDFViewCtrl::KeyEvent Struct Reference

`#include <PDFViewCtrl.h>`

## Public Attributes
int | m_x
int | m_y
long int | m_keyCode
Unicode | m_unicode
UInt8 | m_controlDown
UInt8 | m_shiftDown
UInt8 | m_altDown
UInt8 | m_metaDown
enum ControlEventType | m_event_type
enum WindowID | m_event_window
UInt8 | m_pdfviewctrl_processed

## Detailed Description

Struct containing the data necessary to process key event callback on the client side.

Definition at line 217 of file PDFViewCtrl.h.

## Member Data Documentation

## ◆ m_altDown

UInt8 pdftron::PDF::PDFViewCtrl::KeyEvent::m_altDown

Definition at line 224 of file PDFViewCtrl.h.

## ◆ m_controlDown

UInt8 pdftron::PDF::PDFViewCtrl::KeyEvent::m_controlDown

Definition at line 222 of file PDFViewCtrl.h.

## ◆ m_event_type

enum ControlEventType pdftron::PDF::PDFViewCtrl::KeyEvent::m_event_type

Definition at line 227 of file PDFViewCtrl.h.

## ◆ m_event_window

enum WindowID pdftron::PDF::PDFViewCtrl::KeyEvent::m_event_window

Definition at line 229 of file PDFViewCtrl.h.

## ◆ m_keyCode

long int pdftron::PDF::PDFViewCtrl::KeyEvent::m_keyCode

Definition at line 220 of file PDFViewCtrl.h.

## ◆ m_metaDown

UInt8 pdftron::PDF::PDFViewCtrl::KeyEvent::m_metaDown

Definition at line 225 of file PDFViewCtrl.h.

## ◆ m_pdfviewctrl_processed

UInt8 pdftron::PDF::PDFViewCtrl::KeyEvent::m_pdfviewctrl_processed

Definition at line 231 of file PDFViewCtrl.h.

## ◆ m_shiftDown

UInt8 pdftron::PDF::PDFViewCtrl::KeyEvent::m_shiftDown

Definition at line 223 of file PDFViewCtrl.h.

## ◆ m_unicode

Unicode pdftron::PDF::PDFViewCtrl::KeyEvent::m_unicode

Definition at line 221 of file PDFViewCtrl.h.

## ◆ m_x

int pdftron::PDF::PDFViewCtrl::KeyEvent::m_x

Definition at line 218 of file PDFViewCtrl.h.

## ◆ m_y

int pdftron::PDF::PDFViewCtrl::KeyEvent::m_y

Definition at line 219 of file PDFViewCtrl.h.

The documentation for this struct was generated from the following file:

- PDF/PDFViewCtrl.h